# Uses of Class
org.eclipse.birt.report.model.api.core.UserPropertyDefn

Packages that use UserPropertyDefn
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")
org.eclipse.birt.report.model.api.command
Provides events when some command operations modify the state of the Design Engine.

## Uses of UserPropertyDefn in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that return UserPropertyDefn
Modifier and Type
Method
Description
`UserPropertyDefn`
UserPropertyDefnHandle.`getCopy()`
Returns the copy of the property definition for this user-defined property.
`UserPropertyDefn`
UserPropertyDefnHandle.`getDefn()`
Gets the user-defined property of this handle.
Methods in org.eclipse.birt.report.model.api with parameters of type UserPropertyDefn
Modifier and Type
Method
Description
`void`
DesignElementHandle.`addUserPropertyDefn(UserPropertyDefn prop)`
Adds a user-defined property definition.
`void`
PrivateStyleHandle.`addUserPropertyDefn(UserPropertyDefn prop)`
This method is not defined for private styles.
`void`
UserPropertyDefnHandle.`setUserPropertyDefn(UserPropertyDefn prop)`
Sets the definition for the user-defined property.
Constructors in org.eclipse.birt.report.model.api with parameters of type UserPropertyDefn
Modifier
Constructor
Description
``
`UserPropertyDefnHandle(DesignElementHandle element, UserPropertyDefn prop)`
Constructs a handle for the user-defined property with the given element handle and the user-defined property.

## Uses of UserPropertyDefn in org.eclipse.birt.report.model.api.command

Methods in org.eclipse.birt.report.model.api.command that return UserPropertyDefn
Modifier and Type
Method
Description
`UserPropertyDefn`
UserPropertyEvent.`getProperty()`
Returns the definition of the user-defined property that changed.
Constructors in org.eclipse.birt.report.model.api.command with parameters of type UserPropertyDefn
Modifier
Constructor
Description
``
`UserPropertyEvent(org.eclipse.birt.report.model.core.DesignElement obj, UserPropertyDefn prop, int theAction)`
Constructor.